<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
	xmlns:cc="http://xmlns.jcp.org/jsf/composite" xmlns:p="http://primefaces.org/ui">
	<cc:interface>
		<cc:attribute name="value" required="true" type="square2.modules.model.AclBean" />
		<cc:attribute name="labelRead" required="false" default="r" />
		<cc:attribute name="labelWrite" required="false" default="w" />
		<cc:attribute name="labelExecute" required="false" default="x" />
		<cc:attribute name="readonly" required="false" default="false" />
		<cc:attribute name="onchange" required="false" default="" />
	</cc:interface>
	<cc:implementation>
		<p:panelGrid columns="3" styleClass="borderlesspanelgrid">
			<p:selectBooleanCheckbox id="r" value="#{cc.attrs.value.read}" itemLabel="#{cc.attrs.labelRead}" readonly="#{cc.attrs.readonly}" disabled="#{cc.attrs.readonly}" onchange="#{cc.attrs.onchange}" />
			<p:selectBooleanCheckbox id="w" value="#{cc.attrs.value.write}" itemLabel="#{cc.attrs.labelWrite}" readonly="#{cc.attrs.readonly}" disabled="#{cc.attrs.readonly}" onchange="#{cc.attrs.onchange}" />
			<p:selectBooleanCheckbox id="x" value="#{cc.attrs.value.execute}" itemLabel="#{cc.attrs.labelExecute}" readonly="#{cc.attrs.readonly}" disabled="#{cc.attrs.readonly}"
				onchange="#{cc.attrs.onchange}" />
		</p:panelGrid>
		<script type="text/javascript">
      $(document).ready(function() {
        $("[id='#{cc.attrs.clientId}:w']").click(function() {
          if (this.is(":checked")) {
            $("[id='#{cc.attrs.clientId}:r']").prop('checked', true);
          }
        });
      });
    </script>
	</cc:implementation>
</ui:composition>